SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Enumerations
UDPForwarder.h File Reference

Forwards UDP datagrams. Independent of RakNet's protocol. More...

`#include "NativeFeatureIncludes.h"`
`#include "Export.h"`
`#include "types.h"`
`#include "SocketIncludes.h"`
`#include "UDPProxyCommon.h"`
`#include "SimpleMutex.h"`
`#include "string.h"`
`#include "thread.h"`
`#include "DS_Queue.h"`
`#include "DS_OrderedList.h"`
`#include "LocklessTypes.h"`
`#include "DS_ThreadsafeAllocatingQueue.h"`

Go to the source code of this file.

## Classes

class | SLNet::UDPForwarder
| Forwards UDP datagrams. Independent of RakNet's protocol. More...
struct | SLNet::UDPForwarder::ForwardEntry
struct | SLNet::UDPForwarder::StartForwardingInputStruct
struct | SLNet::UDPForwarder::StartForwardingOutputStruct
struct | SLNet::UDPForwarder::StopForwardingStruct

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum | SLNet::UDPForwarderResult { SLNet::UDPFORWARDER_FORWARDING_ALREADY_EXISTS, SLNet::UDPFORWARDER_NO_SOCKETS, SLNet::UDPFORWARDER_BIND_FAILED, SLNet::UDPFORWARDER_INVALID_PARAMETERS, SLNet::UDPFORWARDER_NOT_RUNNING, SLNet::UDPFORWARDER_SUCCESS, SLNet::UDPFORWARDER_RESULT_COUNT }

## Detailed Description

Forwards UDP datagrams. Independent of RakNet's protocol.

Definition in file UDPForwarder.h.